Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi.rawserialization
Interface OutputBuffer

All Known Implementing Classes:
  FileOutputBuffer, RandomAccessFileIOBuffer, SimpleOutputBuffer

    public interface OutputBuffer

Method Summary
`int` | `bytesRemaining()`
`void` | `write(byte[] b, int off, int len)`
`void` | `writeBoolean(boolean v)`
`void` | `writeByte(byte v)`
`void` | `writeChar(char v)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeShort(short v)`
`void` | `writeUTF(java.lang.String str)`

Method Detail

### write

    void write(byte[] b,
               int off,
               int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBoolean

    void writeBoolean(boolean v)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeByte

    void writeByte(byte v)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeChar

    void writeChar(char v)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeDouble

    void writeDouble(double v)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFloat

    void writeFloat(float v)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInt

    void writeInt(int v)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    void writeLong(long v)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    void writeShort(short v)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeUTF

    void writeUTF(java.lang.String str)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### bytesRemaining

    int bytesRemaining()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.